export default PieceManager;
declare class PieceManager {
    forgedPieces: Map<any, any>;
    DEFAULT_PAYMENT_FORM: {
        component: any;
        type: string;
    };
    BUTTON: {
        component: any;
        type: string;
    };
    FORMATTED_FIELD: {
        component: any;
        type: string;
    };
    INPUT_FIELD: {
        component: any;
        type: string;
    };
    QRCODE_PAYMENT_BOX: {
        component: any;
        type: string;
    };
    CARD_HOLDER_NAME: {
        name: string;
        component: any;
        propertyName: string;
        type: string;
        autocomplete: string;
    };
    EMAIL: {
        name: string;
        component: any;
        propertyName: string;
        type: string;
        autocomplete: string;
    };
    DOCUMENT: {
        name: string;
        component: any;
        propertyName: string;
        type: string;
    };
    CREDIT_CARD: {
        name: string;
        component: any;
        propertyName: string;
        type: string;
        autocomplete: string;
    };
    CREDIT_CARD_CVV: {
        name: string;
        component: any;
        propertyName: string;
        type: string;
        autocomplete: string;
    };
    MONTH_FIELD: {
        name: string;
        component: any;
        propertyName: string;
        type: string;
        autocomplete: string;
    };
    YEAR_FIELD: {
        name: string;
        component: any;
        propertyName: string;
        type: string;
        autocomplete: string;
    };
    SINGLE_USE_FIELD: {
        name: string;
        component: any;
        propertyName: string;
        type: string;
    };
    VALIDITY: {
        name: string;
        component: any;
        propertyName: string;
        type: string;
        autocomplete: string;
    };
    SAVED_CARD_SKELETON: {
        component: any;
        type: string;
    };
    SAVED_CARD_LIST: {
        name: string;
        component: any;
        type: string;
        propertyName: string;
    };
    INSTALLMENT_SELECTOR: {
        name: string;
        component: any;
        propertyName: string;
        type: string;
    };
    THREEDS_MODAL: {
        component: any;
        type: string;
    };
    THREEDS_DATACOLLECTION_FRAME: {
        component: any;
        type: string;
    };
    pieceTypes: ({
        component: any;
        type: string;
        name?: undefined;
        propertyName?: undefined;
        autocomplete?: undefined;
    } | {
        name: string;
        component: any;
        propertyName: string;
        type: string;
        autocomplete: string;
    } | {
        name: string;
        component: any;
        propertyName: string;
        type: string;
        autocomplete?: undefined;
    })[];
    changeGroupEnableStatus(group: any, enabled: any): void;
    destroyGroup(group: any, preserveRoot?: boolean): void;
    getPieceTypeByName(typeName: any): any;
    close3dsModal(): void;
    forge(place: any, pieceName: any, props: any, group: string, propertyName: any, validationFunction: any): string;
    destroy(pieceID: any, preserveRoot?: boolean): void;
    executeOnPieces(func: any): void;
    getPiece(pieceID: any): undefined;
    getPiecesByGroup(group: any): any[];
}
