export default function factory(sessionID: any, env?: string, antifraudConfig?: any): Tuna;
declare class Tuna extends Essentials {
    isCheckoutRunning: boolean;
    pieceManagerObject: PieceManager;
    getBuyerDocumentFormatter: (locale: any) => BuyerDocumentFormatter;
    close3dsModal: (_: any) => void;
    pieceManager: (_: any) => PieceManager;
    clearSavedCardSelector: (_: any) => void;
    useGooglePay(googlePayBtnContainerSelector: any, googlePaySettings: any, checkoutCallbackFunction: any, validationGroup: any): void;
    googlePayResolver: GooglePayResolver;
    forgeDefaultForm(place: any, options: any): void;
    useQrCodePayment(place: any, options: any, paymentCallback: any, group?: string): void;
    useSavedCardSelector(place: any, options: any, group?: string): Promise<any>;
    checkoutAndPay(paymentMethodType: any, totalPaymentAmount: any, paymentMethodAmount: any, callbackFunction: any, customer: any): Promise<void>;
    checkout(callbackFunction: any): Promise<any>;
    open3dsModal(threeDSInfo: any, methodID: any, paymentKey: any, responseCallback: any): void;
    create3DSDataCollectionFrame({ accessToken, deviceDataCollectionUrl }: {
        accessToken: any;
        deviceDataCollectionUrl: any;
    }, onDataCollectionScriptReady: any): void;
    directCheckout: (_: any) => Promise<any>;
}
import { Essentials } from "./essentials.js";
import PieceManager from "./dom/pieceManager.js";
import { BuyerDocumentFormatter } from "./infra/buyerDocumentFormatter.js";
import GooglePayResolver from "./infra/googlePayResolver.js";
export {};
